/*
 * @Note:
 * @Author: 2058827620@qq.com
 * @Date: 2022-04-03 10:53:25
 */
import React, { useState, useEffect } from 'react';
import {
  Modal,
  Table
} from 'antd';

import { orderList } from '@/services/order';



export default ({ values, modalOpenState, onModalOpenState }) => {

  const [config, setConfig] = useState(null);
  const [items, setItems] = useState(null);


  useEffect(() => {
    if (!values?.id) {
      return
    }
    orderList(values?.id).then(({ data }) => {
      setItems(data || []);
    }).catch(() => {

    });
  }, [values]);

  const columns = [
    {
      title: '账单号',
      dataIndex: 'orderNo',
      search: false,
    },
    {
      title: '投资人',
      dataIndex: 'shop',
      search: false,
      render: (_, record) => {
        return <>
          <div>用户名：{record?.username}</div>
          <div>手机号：{record?.phone}</div>
          <div>等级：{record?.level}</div>
        </>
      },
    },
    {
      title: '类型',
      dataIndex: 'typeValue',
      search: false,
    },
    {
      title: '金额',
      dataIndex: 'points',
      search: false,
    },
    {
      title: '创建时间',
      dataIndex: 'createTime',
      search: false,
    },
  ];

  return (
    <>
      <Modal width="800px" title="分红" open={modalOpenState} onOk={() => {
        onModalOpenState(false);
      }} onCancel={() => {
        onModalOpenState(false)
      }}>
        <>
          <Table
            rowKey="id"
            columns={columns}
            dataSource={items}
            pagination={false}
          />
        </>
      </Modal>
    </>
  );
};